.article-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 75px;
  margin-bottom: 80px;

  &--page {
    justify-content: flex-start;
    width: calc(100% + 30px);
    margin-top: 40px;
    margin-left: -15px;

    & .article-list__item {
      width: calc(100% / 4 - 30px);
      margin-right: 15px;
      margin-bottom: 55px;
      margin-left: 15px;
    }

    & .article-list__title {
      font-style: normal;
      font-weight: 500;
      font-size: 15px;
      line-height: 19px;
      text-align: center;
      color: #ffffff;
    }

    & .article-list__date {
      color: #ffffff;
    }
  }

  &__item {
    position: relative;
    display: flex;
    flex-direction: column;
    width: calc(100% / 3 - 20px);
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    color: #000000;
    text-decoration: none;
    border: 2px solid rgba(0, 0, 0, 0);
    transition: all 0.3s;

    &:hover {
      border: 2px solid rgba(0, 0, 0, 0.5);
    }
  }

  &__img {
    position: relative;
    width: 100%;
    padding-top: 62%;
    overflow: hidden;

    & img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;

      object-fit: cover;
    }
  }

  &__title {
    width: 100%;
    padding-top: 6px;
    padding-right: 15px;
    padding-bottom: 6px;
    padding-left: 15px;
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    text-align: center;
    color: #000000;
    color: #000000;
    text-transform: uppercase;
    background: #ffc000;
  }

  &__description {
    padding: 3px 5px 15px;
  }

  &__date {
    font-weight: 500;
    font-size: 10px;
    line-height: 12px;
    text-align: center;
    color: #000000;
  }
}


@media(max-width:950px) {
  .article-list {
    &--page {
      & .article-list__item {
        width: calc(100% / 3 - 30px);
      }
    }
  }
}

@media(max-width:800px) {
  .article-list {
    &--page {
      & .article-list__item {
        width: calc(100% / 2 - 30px);
      }
    }
  }
}


@media(max-width:600px) {
  .article-list {
    &--page {
      & .article-list__item {
        width: calc(100% / 1 - 30px);
      }
    }
  }
}
